<?php

if (isset($_SESSION['usuario'])){

$user=$_SESSION['usuario'];

}

else{

?>

<script>

location.href="index.php?errorusuario=3";

</script>

<?php

}
$costototaltotal=0;
include ("conexion.php");
?>

  <table width="850" border="0" align="center">

    <tr>

      <td><p align="center" class="style10">LISTADO DE TRATAMIENTOS COMPLETOS, SU CONTENIDO Y COSTOS</p>      </td>

    </tr>

    <tr>

      <td><HR /></td>

    </tr>

    <tr>

      <td>
<table width="800" height="0" border="0" align="center" cellpadding="0" cellspacing="10">

        <tr>

          <td width="46%" valign="top"><p>
<?php
echo "<table align='center' cellpadding='2' class='tablaBordes' width='100%'>";
echo "<tr class='tablaCabecera'>";

echo "<td>";
echo "TRATAMIENTO COMPLETO";
echo "</td>";

echo "<td align='center'>";
echo "PRECIO";
echo "</td>";

$cons1="SELECT idTratamiento,tratamientoCompleto,precio FROM tratamientocompleto ORDER BY tratamientoCompleto";
$res1=mysql_query($cons1,$conex) or die ("No se ejecuto cons1$");
while($filax = mysql_fetch_array($res1))
{
	echo "<tr>";
	
	echo "<td colspan='2' style='height:40px'>";
	echo "<hr color='#CCCCCC' noshade='noshade' size='1'>";
	echo "</td>";
	echo "</tr>";
	echo "<tr style='background-color:#eaeaea; height:40px'>";
	
	echo "<td class='style10' style='font-size:16px;'>";
	echo $filax[1];
	echo "</td>";
	
	echo "<td class='style10' align='right' style='font-size:16px;'>";
	printf ("$ %.2f", $filax[2]);
	echo "</td>";
	
	echo "</tr>";
	echo "<tr>";
	
	echo "<td colspan='2' class='style4' style='font-size:14px;'>";
	echo "Citas / Paquetes Contenidos";
	echo "</td>";
	
	echo "</tr>";
	echo "<tr>";
	echo "<td colspan='2'>";
	
	//====== PAQUETES CONTENIDOS EN TRATAMIENTO
	
	$x=0;
	$query="SELECT idTratamiento,idPaquete FROM contenido_tratamientocompleto WHERE idTratamiento='$filax[0]'";
	$result=mysql_query($query,$conex) or die ("No se consulto tratamiento completo");
	
	while($f = mysql_fetch_array($result))
	{
		
		echo "<table border='0' width='800'>";
		echo "<tr>";
		
		//paquete
		$cons2="SELECT nompaquete FROM paquetes WHERE idPaquete ='$f[1]'";
		$res2=mysql_query($cons2,$conex) or die ("No se consulto nombre de paquete");
		$nompaquete=mysql_result($res2,0,'nompaquete');
	
		echo "<td class='style9' style='font-size:14px;'>";
		echo "<strong>".$nompaquete."</strong>";
		echo "</td>";
	
		echo "</tr>";
		echo "</table>";
		
		//TABLA DE LOS PRODUCTOS QUE CONTIENE EL APQUETE
		echo "<table align='center' cellpadding='2' class='tablaBordes' width='100%'>";
		echo "<tr class='tablaCabecera'>";
					
		echo "<td>";
		echo " ID ";
		echo "</td>";
						
		echo "<td>";
		echo "Nombre";
		echo "</td>";
						
		echo "<td>";
		echo "Clasificaci&oacute;n";
		echo "</td>";
		
		echo "<td>";
		echo "Presentaci&oacute;n";
		echo "</td>";
						
		echo "<td align='center'>";
		echo "Cantidad";
		echo "</td>";
		
		echo "<td align='center'>";
		echo "Costo Unit";
		echo "</td>";
		
		echo "<td align='center'>";
		echo "Costo Subtotal";
		echo "</td>";
						
		echo "</tr>";
		$x=0;	
		$costototaltotal=0;		
		$cons3="SELECT clave,cantidad FROM contenido_paquete WHERE idPaquete='$f[1]'";
		$res3=mysql_query($cons3,$conex) or die ("No se realizo el barrido en la tabla contenido_paquete");
		while($fila2 = mysql_fetch_array($res3))
		{		
			$query2="SELECT a.clave,a.nombre,a.clasificacion,a.costounidad,b.presentacion FROM productos as a INNER JOIN presentaciones as b ON a.idPresentacion = b.idPresentacion WHERE a.clave='$fila2[0]'";
			$result2=mysql_query($query2,$conex) or die ("No se consultaron los productos");
			while($fila = mysql_fetch_array($result2))
			{
				echo "<tr>";
										
				//CONSULTO NOMBRE DE LA PRESENTACION
				/*
				$cons1="SELECT idPresentacion FROM  productos WHERE clave='$fila2[0]' ";
				$res1=mysql_query($cons1,$conex) or die ("No consulto ID de presentacion");
				$idpresen=mysql_result($res1,0,'idPresentacion');
				
				$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresen'";
				$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
				$presen=mysql_result($res2,0,'presentacion');
				*/
										
				//ID
				echo "<td class='style1' align='center'>$fila[0]</td>";
										
				//nombre
				echo "<td class='style1'>$fila[1]</td>";
										
				//clasficiacion
				echo "<td class='style1' >$fila[2]</td>";
				
				//IMPRIMO PRESENTACION
				echo "<td class='style1'>$fila[4]</td>";
				
				//CANTIDAD
				echo "<td class='titulo' bgcolor='#999999' align='center'>$fila2[1]</td>";
										
				//costo unitario
				echo "<td class='style1' align='right'>";
				if($fila[2]=='Incontables' or $fila[2]=='Materiales de impresion' or $fila[2]=='Liquidos - polvos')
                {
				 $fila[3]=0;
				}
				 echo "$ ".number_format($fila[3],2);
				
				echo "</td>";
				
				//costo total
				$costototal=$fila2[1]*$fila[3];
				$costototaltotal+=$costototal;
				echo "<td class='style1' align='right'>";
				echo "$ ".number_format($costototal,2);
				echo "</td>";				
				echo "</tr>";
			}
	     		
		}
		echo "<tr class='style1'>";
		  echo "<td colspan='6' align='right'>";
		  echo "Costo Total ";
		  echo "</td>";
		  echo "<td colspan='6' align='right'>";
		  echo number_format($costototaltotal,2);
		  echo "</td>";
		 echo "</tr>";
		echo "</table>";		
	}		
	echo "</tr>";
	
}
echo "</table>";
?>
</p>
            </td>
        </tr>
        <tr>
          <td valign="top"><div align="center">
            <table width="100" border="0">
              <tr>
                <td width="35"><input name="button2" type="button" class="boton2" id="button2" onClick="javascript:history.back()" value="Volver" /></td>
                <td width="55"><input name="button" type="button" class="boton2" id="button" onClick="javascript:print()" value="Imprimir" /></td>
              </tr>
            </table>
            </div></td>
        </tr>
      </table></td>

    </tr>

  </table>